package sgc.portal.cs.cs0603.service;

import org.springframework.stereotype.Service;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cs.cs0603.dto.CS06030001USearch;
import sgc.portal.cs.cs0603.persistence.CS06030001UMapper;

import java.util.List;

@Service
public class CS06030001UService {
    private final CS06030001UMapper mapper;

    public CS06030001UService(CS06030001UMapper mapper) {
        this.mapper = mapper;
    }

    public List<EasyHashMap<String, Object>> getList1(CS06030001USearch search) {
        return mapper.getList1(search);
    }
    
    public List<EasyHashMap<String, Object>> getList2(CS06030001USearch search) {
        return mapper.getList2(search);
    }
    
    public List<EasyHashMap<String, Object>> getList3(CS06030001USearch search) {
        return mapper.getList3(search);
    }
    
    public List<EasyHashMap<String, Object>> getList4(CS06030001USearch search) {
        return mapper.getList4(search);
    }
    
    public List<EasyHashMap<String, Object>> getList5(CS06030001USearch search) {
        return mapper.getList5(search);
    }
    
    public List<EasyHashMap<String, Object>> getList6(CS06030001USearch search) {
        return mapper.getList6(search);
    }
    
    public List<EasyHashMap<String, Object>> getList7(CS06030001USearch search) {
        return mapper.getList7(search);
    }
    
    public List<EasyHashMap<String, Object>> getList8(CS06030001USearch search) {
        return mapper.getList8(search);
    }
    
}
